Extending Qt Creator Manual | PlainTextEditorFactory

Extending Qt Creator Manual 4.5.2

# PlainTextEditorFactory Class

(TextEditor::PlainTextEditorFactory)

Inherits: | TextEditor::TextEditorFactory

- List of all members, including inherited members

## Public Functions

| PlainTextEditorFactory()

- 17 public functions inherited from TextEditor::TextEditorFactory
- 9 public functions inherited from Core::IEditorFactory

## Static Public Members

BaseTextEditor * | createPlainTextEditor()
PlainTextEditorFactory * | instance()

## Member Function Documentation

### PlainTextEditorFactory::PlainTextEditorFactory()

Default constructs an instance of PlainTextEditorFactory.

### `[static]` BaseTextEditor *PlainTextEditorFactory::createPlainTextEditor()

### `[static]` PlainTextEditorFactory *PlainTextEditorFactory::instance()